ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

1. ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

SERGIO SOUZA AMARO DA SILVEIRA
seramaro

(usa Outra)

Enviado em 22/10/2020 - 11:21h

Pessoal
Estou tendo problemas na atualização do Linux no Gerenciador de atualizações e também toda vez que tento instalar um programa, vem a mesma mensagem.
E: linux-image-extra-4.4.0-109-generic: sub-processo script post-removal instalado retornou estado de saída de erro 1
E: linux-image-extra-4.4.0-111-generic: sub-processo script post-removal instalado retornou estado de saída de erro 1
Como posso resolver?
(synaptic:3736): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
Extraíndo templates de pacotes : 100%
Pré-configurando pacotes ...
(Lendo banco de dados ... 304381 ficheiros e directórios actualmente instalados.)
A remover linux-image-extra-4.4.0-109-generic (4.4.0-109.132~14.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-109-generic /boot/vmlinuz-4.4.0-109-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-109-generic /boot/vmlinuz-4.4.0-109-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-109-generic /boot/vmlinuz-4.4.0-109-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-109-generic
Warning: No support for locale: pt_BR.utf8

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-109-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erro ao processar o pacote linux-image-extra-4.4.0-109-generic (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
A remover linux-image-extra-4.4.0-111-generic (4.4.0-111.134~14.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-111-generic /boot/vmlinuz-4.4.0-111-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-111-generic /boot/vmlinuz-4.4.0-111-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-111-generic /boot/vmlinuz-4.4.0-111-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-111-generic
Warning: No support for locale: pt_BR.utf8

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-111-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erro ao processar o pacote linux-image-extra-4.4.0-111-generic (--remove):
sub-processo script post-removal instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
linux-image-extra-4.4.0-109-generic
linux-image-extra-4.4.0-111-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
Um pacote falhou na instalação. Tentando recuperar:
Configurando initramfs-tools (0.103ubuntu4.11) ...
update-initramfs: deferring update (trigger activated)
Configurando linux-image-extra-4.4.0-119-generic (4.4.0-119.143~14.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-119-generic /boot/vmlinuz-4.4.0-119-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-119-generic /boot/vmlinuz-4.4.0-119-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-119-generic /boot/vmlinuz-4.4.0-119-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-119-generic
Warning: No support for locale: pt_BR.utf8

gzip: stdout: No space left on device
E: mkinitramfs failure find 141 cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-119-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erro ao processar o pacote linux-image-extra-4.4.0-119-generic (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
A processar 'triggers' para initramfs-tools (0.103ubuntu4.11) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-141-generic
grep: /boot/config-4.4.0-141-generic: Arquivo ou diretório não encontrado
WARNING: missing /lib/modules/4.4.0-141-generic
Device driver support needs thus be built-in linux image!
depmod: ERROR: could not open directory /lib/modules/4.4.0-141-generic: No such file or directory
depmod: FATAL: could not search modules: No such file or directory
Warning: No support for locale: pt_BR.utf8
depmod: WARNING: could not open /tmp/mkinitramfs_MOSEJN/lib/modules/4.4.0-141-generic/modules.order: No such file or directory
depmod: WARNING: could not open /tmp/mkinitramfs_MOSEJN/lib/modules/4.4.0-141-generic/modules.builtin: No such file or directory

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-141-generic with 1.
dpkg: erro ao processar o pacote initramfs-tools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
linux-image-extra-4.4.0-119-generic
initramfs-tools



  


2. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 22/10/2020 - 13:46h

Qual nome e versão do seu linux





3. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 22/10/2020 - 14:53h

Vc tem de atualizar os drivers do novo kernel tb. Acho q é isso.
Device driver support needs thus be built-in linux image!


4. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Mauricio Ferrari
mauricio123

(usa Slackware)

Enviado em 22/10/2020 - 15:05h


Que distro você está usando?

___________________________________________________________
Conhecimento não se Leva para o Túmulo.
https://github.com/MauricioFerrari-NovaTrento



5. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 22/10/2020 - 15:10h

mauricio123 escreveu:
Que distro você está usando?
_________________________________________________________
Conhecimento não se Leva para o Túmulo.
https://github.com/MauricioFerrari-NovaTrento


-essa é a questão importante pq esse kernel-4.4 é de 2016/2017
-se for um ubuntu não lts estará perdendo tempo tentando salvar um linux "morto" e obsoleto




6. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

SERGIO SOUZA AMARO DA SILVEIRA
seramaro

(usa Outra)

Enviado em 22/10/2020 - 15:33h

DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=17.3
DISTRIB_CODENAME=rosa
DISTRIB_DESCRIPTION="Linux Mint 17.3 Rosa"
NAME="Ubuntu"
VERSION="14.04.1 LTS, Trusty Tahr"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 14.04.1 LTS"
VERSION_ID="14.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
cat: /etc/upstream-release: É um diretório



7. Re: ERRO AO INSTALAR ATUALIZAÇÕES

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 22/10/2020 - 15:37h

-foi o que pensava
-linuxmint-17 é baseado no ubuntu-14.04 que já está sem suporte desde abril/2019
-não será possível atualizar
-por isso eu sugiro que faça bkp de seus arquivos e depois faça instalação limpa do linuxmint-19 que terá suporte até abril/2023 ou do linuxmint-20 que terá suporte até abril/2025

-obs >> eu troco meu linuxmint a cada 2 anos >> faço bkp e instalação limpa




8. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

SERGIO SOUZA AMARO DA SILVEIRA
seramaro

(usa Outra)

Enviado em 22/10/2020 - 15:43h

Quanto ao backup tudo bem. Agora quanto a atualização, faço como. Baixo direto da internet? É que nunca fiz instalação.


9. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 23/10/2020 - 01:57h

seramaro escreveu: 1-Quanto ao backup tudo bem. .... 2-É que nunca fiz instalação.

1-O backup é o mais importante, sistemas e programas podem ser reinstalados mas seus arquivos pessoais não podem ser perdidos.
2-Sempre tem a primeira vez.
Se está com Mint, continue no Mint.
Baixe a versão de sua preferência e crie um DVD, pendrive, ou cartão de memória de instalação.
Teste sem instalar.
Proteja sua mídia de instalação, pois não deves ficar sem, pelo menos 1 sistema operacional em algum lugar.

Site do Linux Mint:
https://www.linuxmint.com/
Todas as versões em vigor:
https://www.linuxmint.com/download_all.php



10. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 23/10/2020 - 08:30h

1- faça bkp de seus arquivos num hd externo

2- baixe linuxmint-20
https://www.linuxmint.com/release.php?id=38

3- no linuxmint use o gravador/pendrive ou Gravador de Imegens em USB ou USB ImageWriter , nome mudam de acordo com versão, p/ gravar seu linux no pendrive
https://www.vivaolinux.com.br/dica/USB-ImageWriter-Criando-pendrive-bootavel-no-Linux-Mint

4- para instalar siga a dica ou clique em apagar disco e instalar linuxmint se vc não usa dual-boot
https://www.vivaolinux.com.br/dica/Instalando-Linux-Mint-17-Qiana

5- após instalar linuxmint-20 siga a dica
https://www.vivaolinux.com.br/dica/O-que-fazer-apos-instalar-Linux-Mint-20



11. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Walker Luiz de Freitas
WalkerPR

(usa KDE Neon)

Enviado em 23/10/2020 - 10:19h


clodoaldops escreveu:

-foi o que pensava
-linuxmint-17 é baseado no ubuntu-14.04 que já está sem suporte desde abril/2019
-não será possível atualizar
-por isso eu sugiro que faça bkp de seus arquivos e depois faça instalação limpa do linuxmint-19 que terá suporte até abril/2023 ou do linuxmint-20 que terá suporte até abril/2025

-obs >> eu troco meu linuxmint a cada 2 anos >> faço bkp e instalação limpa



Olá Clodoaldops, tudo bem ?!

O Mint não tem opção para fazer upgrade via modo gráfico, como outras distros ?!
A instalação limpa é necessária, ou é apenas sua escolha ?!

--------------------------------------------------------------
"Linux: several flavors, one way: - Freedom of choice!"


12. Re: ERRO AO INSTALAR ATUALIZAÇÕES [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 23/10/2020 - 10:52h

-pode ser feito por meio gráfico
https://linuxmint-user-guide.readthedocs.io/en/latest/upgrade-to-mint-20.html

-mas o lm-17 já está morto/obsoleto sem suporte por isso há pouquissimas chances disso dar certo

-além do fato de que se estiver usando 32bits não será possível pq não existe mais lm-20 32bits

-eu sempre faço instalação limpa por 3 motivos
1-menos chances de algo dar errado
2-sempre tenho bkp de meus arquivos em partição separada
3- pós instalação é ridiculamente fácil e rápido





01 02